Skip to main content
DELETE
/
v2
/
user
/
{user_id}
/
{provider}
curl --request DELETE \
     --url {{BASE_URL}}/v2/user/{user_id}/{provider} \
     --header 'Accept: application/json' \
     --header 'x-vital-api-key: <API_KEY>'
{
  "success": true
}
Deregistration has well-defined behaviour only on cloud-based providers.
If your Junction Health SDK uses the default Auto Connect mode, deregistering an Apple HealthKit, Health Connect or Samsung Health connection has no effect.For explicit connection and disconnection of Apple HealthKit, Health Connect and Samsung Health connections, see the opt-in Explicit Connect mode.You can also pause Health SDK data sync client-side, or sign-out the user from the SDK.
curl --request DELETE \
     --url {{BASE_URL}}/v2/user/{user_id}/{provider} \
     --header 'Accept: application/json' \
     --header 'x-vital-api-key: <API_KEY>'

Authorizations

x-vital-api-key
string
header
required

Vital Team API Key

Path Parameters

user_id
string<uuid>
required
provider
enum<string>
required

Provider slug. e.g., oura, fitbit, garmin.

Available options:
oura,
fitbit,
garmin,
whoop,
strava,
renpho,
peloton,
wahoo,
zwift,
freestyle_libre,
abbott_libreview,
tandem_source,
freestyle_libre_ble,
eight_sleep,
withings,
apple_health_kit,
manual,
ihealth,
google_fit,
beurer_api,
beurer_ble,
omron,
omron_ble,
onetouch_ble,
accuchek_ble,
contour_ble,
dexcom,
dexcom_v3,
hammerhead,
my_fitness_pal,
health_connect,
samsung_health,
polar,
cronometer,
kardia,
whoop_v2,
ultrahuman,
my_fitness_pal_v2,
map_my_fitness,
runkeeper

Response

Successful Response

success
boolean
required

Whether operation was successful or not